FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202012120433.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202012120433.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0e41fab OS_GIT_VERSION=4.5.0-202012120433.p0-0e41fab SOURCE_DATE_EPOCH=1582128914 SOURCE_GIT_COMMIT=0e41fab1ddec5603eb1e735e8e4f64ddeb45c060 SOURCE_GIT_TAG=0e41fab SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
WORKDIR /go/src/github.com/openshift/mdns-publisher
COPY . .
RUN GO111MODULE=on go build --mod=vendor

FROM openshift/ose-base:v4.5.0.20201212.044447
ENV __doozer=update BUILD_RELEASE=202012120433.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202012120433.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0e41fab OS_GIT_VERSION=4.5.0-202012120433.p0-0e41fab SOURCE_DATE_EPOCH=1582128914 SOURCE_GIT_COMMIT=0e41fab1ddec5603eb1e735e8e4f64ddeb45c060 SOURCE_GIT_TAG=0e41fab SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
COPY --from=builder /go/src/github.com/openshift/mdns-publisher/mdns-publisher /usr/bin/

ENTRYPOINT ["/usr/bin/mdns-publisher"]

LABEL \
        io.k8s.display-name="mDNS-publisher" \
        io.k8s.description="Configurable mDNS service publisher" \
        maintainer="Antoni Segura Puimedon <antoni@redhat.com>" \
        name="openshift/ose-mdns-publisher" \
        com.redhat.component="ose-mdns-publisher-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="mDNS" \
        release="202012120433.p0" \
        io.openshift.build.commit.id="0e41fab1ddec5603eb1e735e8e4f64ddeb45c060" \
        io.openshift.build.source-location="https://github.com/openshift/mdns-publisher" \
        io.openshift.build.commit.url="https://github.com/openshift/mdns-publisher/commit/0e41fab1ddec5603eb1e735e8e4f64ddeb45c060" \
        version="v4.5.0"

